#!/usr/bin/python3 -u

import os, shutil, sys, subprocess
from RSBuildTools import *

def main(argv):
    autoBuilder = RSAutoBuilder.RSAutoBuilder()
    autoBuilder.initializeWithCommandLineArguments(argv)

    # Set up our build targets ... we supply the list of targets and leave it up the parsed options above on RSAutoBuilder
    # to see whether they are actually consulted/used in the build process or not...
    applicationTargetName = "Black Ink Composer"
    buildTargetName = "Black Ink Composer"

    buildConfiguration = "Release"
    testConfiguration = "Debug"
    if (autoBuilder.buildKind == "AppStore"):
        buildTargetName = "Black Ink Composer App Store"

    autoBuilder.applicationTargetName = applicationTargetName
    autoBuilder.defaultBuildConfiguration = buildConfiguration
    autoBuilder.defaultTestConfiguration = testConfiguration

    mainProjectPath = "../BlackInk.xcodeproj"

    autoBuilder.productBuildTargets = [RSBuildTarget.RSBuildTarget(mainProjectPath, buildTargetName),]

    autoBuilder.testBuildTargets = []

    autoBuilder.run()

if __name__ == "__main__":
    main(sys.argv[1:])
